Subject: Resetting options on STDIN/STDOUT
From: [email-masked] (Jeremy Blackman)

6 Nov 1996 15:21:44 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Is there a way to set stdin and stdout into binary mode under gnu-win32,
cleanly?  Some code I am attempting to port simply does an
fdopen(0,"rb"); fdopen(1,"wb"); which works fine under Linux, or BSD,
but ends up with no output when compiled with gnu-win32 and then run.

Suggestions?  I've tried several hacks around this already.  The code
requires that stdout and stdin be in binary mode and also be actually
stdout and stdin - the program runs as a cgi script.

Thanks in advance.

--Jeremy Blackman
  ([email-masked] / [email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".